Subject: bug#65455: 30.0.50; Disassemble: error with "free-standing" native compiled function

From: Andrea Corallo <[email-masked]>
Date: Fri, 25 Aug 2023 07:43:07 -0400

Eli Zaretskii <[email-masked]> writes:

>> Cc: [email-masked]
>> From: Andrea Corallo <[email-masked]>
>> Date: Fri, 25 Aug 2023 04:11:48 -0400
>> 
>> 1- Give up on the disassemble on this specific case
>> 
>> 2- Do not remove the temporary eln file in /tmp and wait for the OS to
>>    do it for us.
>> 
>> 3- Keep a list of temporary eln files we want to clean-up when Emacs
>>    exits.
>
> None of the above sounds a good idea to me.  How about a special
> disassemble-native function, which will keep the temporary file until
> after the disassembly, and then delete it?  Gerd, would that be good
> enough?

Mmmh, I'm not sure I undestand, how can disassemble-native keep the
temporary file if this was deleted just after it was compiled and
loaded?

> Also, Andrea, why does
>
>   (native-compile 'foo SOME-FILE)
>
> signals an error?  I thought it should write the results of
> native-compilation to SOME-FILE, no?

Loos like a bug, if SOME-FILE is absolute it just works.  The fix look
trivial, I'll just test it a bit before pushing it.

Thanks

  Andrea